.block-image {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-radius: var(--border-radius);
}

.block-image::before {
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    display: block;
    width: 100%;
    height: 100%;
    content: "";
    background-color: rgba(var(--color-mask), var(--mask-opacity));
}

.block-image img {
    display: block;
    width: 100%;
    height: 100%;
    aspect-ratio: var(--aspect-ratio);
    object-fit: cover;
}

.block-image svg {
    width: 380px;
    max-width: 100%;
    aspect-ratio: var(--aspect-ratio);
}